#!/usr/bin/env python
# coding=utf-8
#
__author__ = 'Grzegorz Deneka'
__license__ = "GPL"
__status__ = "Proof of concept - prototype"
__version__ = "0.1.1"

from SOAPpy import WSDL

wsdl_file = 'https://burze.dzis.net/soap.php?WSDL'
key = 'Your_api_key_into_burze.dzis.net'
city = 'warszawa'
range_detect = 25 # in km


def burze_api(key, wsdl_file, city, detect_range):
    server = WSDL.Proxy(wsdl_file)
    xy = server.miejscowosc(city, key)
    ostrzezenia = server.ostrzezenia_pogodowe(xy['y'], xy['x'], key)
    burza = server.szukaj_burzy(xy['y'], xy['x'], range_detect, key)
    return [ostrzezenia, burza]


def print_burza(burza):
    print "=== Wykrywanie burzy ==="
    if burza['liczba'] == 0:
        print "Brak burzy"
    else:
        print "Kierunek: ", str(burza['kierunek'])
        print "Liczba: ", str(burza['liczba'])
        print "Odleglosc: ", str(burza['odleglosc']), "km"
        print "Okres: ", str(burza['okres']), "min"


def print_ostrzezenia(ostrzezenia):
    print "=== Ostrzezenia pogodowe==="
    print "Mroz: {0} {1} {2}".format(ostrzezenia['mroz'], ostrzezenia['mroz_od_dnia'], ostrzezenia['mroz_do_dnia'])
    print "Upal: {0} {1} {2}".format(ostrzezenia['upal'], ostrzezenia['upal_od_dnia'], ostrzezenia['upal_do_dnia'])
    print "Wiatr: {0} {1} {2}".format(ostrzezenia['wiatr'], ostrzezenia['wiatr_od_dnia'], ostrzezenia['wiatr_do_dnia'])
    print "Opad: {0} {1} {2}".format(ostrzezenia['opad'], ostrzezenia['opad_od_dnia'], ostrzezenia['opad_do_dnia'])
    print "Burza: {0} {1} {2}".format(ostrzezenia['burza'], ostrzezenia['burza_od_dnia'], ostrzezenia['burza_do_dnia'])
    print "Traba: {0} {1} {2}".format(ostrzezenia['traba'], ostrzezenia['traba_od_dnia'], ostrzezenia['traba_do_dnia'])


def main():
    ostrzezenia, burza = burze_api(key, wsdl_file, city, range_detect)
    print_burza(burza)
    print_ostrzezenia(ostrzezenia)

if __name__ == "__main__":
    main()
